import { Component, h, Host, Prop } from '@stencil/core';
export class DvnAppViewTestPlaceholderView {
  render() {
    var _a;
    return (h(Host, { class: "d-flex" },
      h("dvn-card", { elevation: 0, leaned: true, overrideStyle: { flex: 1 }, tint: "neutral" }, ((_a = this.params) === null || _a === void 0 ? void 0 : _a.title) || '-')));
  }
  static get is() { return "dvn-app-view-test-placeholder-view"; }
  static get originalStyleUrls() { return {
    "$": ["dvn-app-view-test-placeholder-view.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["dvn-app-view-test-placeholder-view.css"]
  }; }
  static get properties() { return {
    "params": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "params",
      "reflect": false
    }
  }; }
}
